## com.baidubce.services.sms.model
Class QueryMessageDetailRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.sms.model.SmsRequest
              com.baidubce.services.sms.model.QueryMessageDetailRequest

    public class QueryMessageDetailRequest

extends SmsRequest

Constructor Summary
`QueryMessageDetailRequest()`

Method Summary
`String` `getMessageId()`
`void` `setMessageId(String messageId)`
`String` `toString()`
`QueryMessageDetailRequest` `withMessageId(String messageId)`

Methods inherited from class com.baidubce.services.sms.model.SmsRequest
`getRequestCredentials, setRequestCredentials, withRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryMessageDetailRequest

    public QueryMessageDetailRequest()

Method Detail

### withMessageId

    public QueryMessageDetailRequest withMessageId(String messageId)

### getMessageId

    public String getMessageId()

### setMessageId

    public void setMessageId(String messageId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.